package com.microservices.wiki.mapper.team_projects;

import com.microservices.wiki.domain.team_projects.TeamProjects;
import org.apache.ibatis.annotations.Param;

public interface TeamProjectsMapper {

    int deleteByPrimaryKey(Long id);

    int insert(TeamProjects record);

    int insertSelective(TeamProjects record);

    TeamProjects selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TeamProjects record);

    int updateByPrimaryKey(TeamProjects record);

    int doesMemberExist(@Param("userId") Integer userId,@Param("projectId") Integer projectId);
}